package cd.casic.ci.common.pipeline.pojo.element.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element.atom
 * @Project：ops-pro
 * @name：ManualReviewParam
 * @Date：2025/03/26 17:12
 * @Filename：ManualReviewParam
 * @description：Todo
 */
@Data
@NoArgsConstructor
public class ManualReviewParam {
    @Schema(description = "参数名", required = true)
    private String key = "";

    @Schema(description = "参数内容", required = true)
    private Object value = null;

    @Schema(description = "参数类型", required = false)
    private ManualReviewParamType valueType = ManualReviewParamType.STRING;

    @Schema(description = "是否必填", required = true)
    private boolean required = false;

    @Schema(description = "参数描述", required = false)
    private String desc = "";

    @Schema(description = "下拉框列表", required = false)
    private List<ManualReviewParamPair> options = null;

    @Schema(description = "中文名称", required = false)
    private String chineseName = null;

    @Schema(description = "变量形式的options", required = false)
    private String variableOption = null;

    public void parseValueWithType(Map<String, String> variables) {
        if (variables.containsKey(key) && variables.get(key) != null && !variables.get(key).isBlank()) {
            switch (valueType) {
                case BOOLEAN:
                case CHECKBOX:
                    value = Boolean.parseBoolean(variables.get(key));
                    break;
                default:
                    value = variables.get(key);
                    break;
            }
        } else {
            // TODO: Implement ObjectReplaceEnvVarUtil.replaceEnvVar in Java
            // value = ObjectReplaceEnvVarUtil.replaceEnvVar(value, variables);
        }
        if (variableOption != null && !variableOption.isBlank()) {
            // TODO: Implement EnvUtils.parseEnv and JsonUtil.to in Java
            // options = EnvUtils.parseEnv(variableOption, variables).let {
            //     List<ManualReviewParamPair> optionList = JsonUtil.to<List<Object>>(it).stream()
            //             .map(item -> new ManualReviewParamPair(item.toString(), item.toString()))
            //             .collect(Collectors.toList());
            //     optionList;
            // };
        }
    }
}
