package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.process.api.process.enums.OperationLogType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineOperationLog
 * @Date：2025/03/24 16:27
 * @Filename：PipelineOperationLog
 * @description：Todo
 */
@Data
@Schema(title = "流水线操作日志")
public class PipelineOperationLog {
    @Schema(title = "唯一标识ID", required = false)
    private Long id;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "版本ID", required = true)
    private Integer version;
    @Schema(title = "操作用户", required = true)
    private String operator;
    @Schema(title = "操作类型", required = true)
    private OperationLogType operationLogType;
    @Schema(title = "操作参数", required = true)
    private String params;
    @Schema(title = "操作时间", required = false)
    private Long operateTime;
    @Schema(title = "操作内容", required = false)
    private String description;
}
