package cd.casic.ci.process.api.process.pojo.app;

import cd.casic.ci.process.api.process.pojo.classify.PipelineView;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname PipelinePage
 * @Description TODO
 * @Date 2025/4/1 16:18
 */
@Data
@AllArgsConstructor
@Schema(title = "Pipeline分页数据包装模型")
public class PipelinePage<T> {
    @Schema(title = "总记录行数", required = true)
    private Long count;

    @Schema(title = "第几页", required = true)
    private Integer page;

    @Schema(title = "每页多少条", required = true)
    private Integer pageSize;

    @Schema(title = "总共多少页", required = true)
    private Integer totalPages;

    @Schema(title = "数据", required = true)
    private java.util.List<T> records;

    @Schema(title = "是否拥有创建权限", required = true)
    private Boolean hasCreatePermission;

    @Schema(title = "总pipeline是否为空（不管有没有权限的）", required = true)
    private Boolean hasPipelines;

    @Schema(title = "是否有收藏的流水线", required = true)
    private Boolean hasFavorPipelines;

    @Schema(title = "是否有用户权限的流水线", required = true)
    private Boolean hasPermissionPipelines;

    @Schema(title = "用户当前视图", required = false)
    private PipelineView currentView;
}
