package cd.casic.ci.process.api.process.pojo.task;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.lang.model.type.ErrorType;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.task
 * @Project：ops-pro
 * @name：TaskBuildEndParam
 * @Date：2025/03/24 20:41
 * @Filename：TaskBuildEndParam
 * @description：Todo
 */
@Data
@Schema(title = "任务构建结束参数")
public class TaskBuildEndParam {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
    @Schema(title = "构建id", required = false)
    private String buildId;
    @Schema(title = "容器作业id", required = false)
    private String containerId;
    @Schema(title = "任务id", required = false)
    private String taskId;
    @Schema(title = "执行次数", required = false)
    private int executeCount;
    @Schema(title = "状态", required = false)
    private BuildStatus buildStatus;
    @Schema(title = "插件版本", required = false)
    private String atomVersion;
    @Schema(title = "错误类型", required = false)
    private ErrorType errorType;
    @Schema(title = "错误代码", required = false)
    private Integer errorCode;
    @Schema(title = "错误信息", required = false)
    private String errorMsg;
}
