package cd.casic.ci.project.dal.dto;


import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "project", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Project extends BaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */

    private Long id;

    /**
     * 删除时间
     */
    private Date deletedAt;

    /**
     * 容器类型
     */
    private Integer kind;

    /**
     * 应用ID
     */
    private Long ccAppId;

    /**
     * 应用名称
     */
    private String ccAppName;

    /**
     * 是否停用
     */
    private Boolean isOfflined;

    /**
     * 项目ID
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 英文名称
     */
    private String englishName;

    /**
     * 项目类型
     */
    private Integer projectType;

    /**
     * 是否用蓝鲸
     */
    private Boolean useBk;

    /**
     * 事业群ID
     */
    private Long bgId;

    /**
     * 事业群名称
     */
    private String bgName;

    /**
     * 项目所属二级机构ID
     */
    private Long deptId;

    /**
     * 项目所属二级机构名称
     */
    private String deptName;

    /**
     * 中心ID
     */
    private Long centerId;

    /**
     * 中心名字
     */
    private String centerName;

    /**
     * 数据ID
     */
    private Long dataId;

    /**
     * 是否保密
     */
    private Boolean isSecrecy;

    /**
     * 是否启用图表激活
     */
    private Boolean isHelmChartEnabled;

    /**
     * 审核状态
     */
    private Integer approvalStatus;

    /**
     * 批准人
     */
    private String approver;

    /**
     * 批准时间
     */
    private Date approvalTime;

    /**
     * 创建者事业群名称
     */
    private String creatorBgName;

    /**
     * 创建者项目所属二级机构名称
     */
    private String creatorDeptName;

    /**
     * 创建者中心名字
     */
    private String creatorCenterName;

    /**
     * 应用ID
     */
    private Long hybridCcAppId;

    /**
     * 是否支持构建机访问外网
     */
    private Boolean enableExternal;

    /**
     * 是否支持IDC构建机
     */
    private Boolean enableIdc;

    /**
     * 是否启用
     */
    private Boolean enabled;

    /**
     * 项目渠道
     */
    private String channel;

    /**
     * 流水线数量上限
     */
    private Integer pipelineLimit;

    /**
     * 网关路由tags
     */
    private String routerTag;

    /**
     * 扩展系统关联ID
     */
    private String relationId;

    /**
     * 其他系统网关路由tags
     */
    private String otherRouterTags;

    /**
     * 项目性质,0-公开，1-保密,2-机密
     */
    private Integer authSecrecy;

    /**
     * 额外信息
     */
    private String extra;

    /**
     * 描述
     */
    private String description;

    /**
     * 部署类型
     */
    private String deployType;

    /**
     * logo地址
     */
    private String logoAddr;

    /**
     * 评论
     */
    private String remark;

    /**
     * 项目其他配置
     */
    private String properties;

    /**
     * 最大可授权人员范围
     */
    private String subjectScopes;
}
