package cd.casic.ci.project.enums;

public enum ProjectApproveStatus {
    UNKNOWN(-1),

    // 创建审批中
    CREATE_PENDING(1),

    // 审批通过
    APPROVED(2),

    // 创建中审批拒绝
    CREATE_REJECT(3),

    // 修改审批中
    UPDATE_PENDING(4);

    private final Integer status;

    ProjectApproveStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public boolean isSuccess() {
        return this == APPROVED || this == UPDATE_PENDING;
    }

    public boolean isCreatePending() {
        return this == CREATE_PENDING || this == CREATE_REJECT;
    }

    public static ProjectApproveStatus parse(int status) {
        for (ProjectApproveStatus value : values()) {
            if (value.getStatus() == status) {
                return value;
            }
        }

        return null;
    }
}
