package cd.casic.ci.project.pojo;

import cd.casic.ci.project.dal.pojo.ProjectProperties;
import cd.casic.ci.project.dal.pojo.SubjectScopeInfo;
import cd.casic.ci.project.enums.ProjectAuthSecrecyStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Collections;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "项目-修改模型")
public class ProjectUpdateInfo {
    @Schema(title = "项目名称")
    private String projectName;

    @Builder.Default
    @Schema(title = "项目类型")
    private Integer projectType = 0;

    @Builder.Default
    @Schema(title = "事业群ID")
    private Long bgId = 0L;

    @Builder.Default
    @Schema(title = "事业群名字")
    private String bgName = "";

    @Schema(title = "业务线ID")
    private Long businessLineId;

    @Builder.Default
    @Schema(title = "业务线名称")
    private String businessLineName = "";

    @Schema(title = "中心ID")
    private Long centerId;

    @Schema(title = "中心名称")
    private String centerName;

    @Schema(title = "部门ID")
    private Long deptId;

    @Schema(title = "部门名称")
    private String deptName;

    @Schema(title = "描述")
    private String description;

    @Builder.Default
    @Schema(title = "英文缩写")
    private String englishName = "";

    @Schema(title = "cc app id")
    private Long ccAppId;

    @Schema(title = "cc app name")
    private String ccAppName;

    @Schema(title = "容器选择，0 是不选，1 是k8s, 2 是mesos")
    private Integer kind;

    @Builder.Default
    @Schema(title = "是否保密")
    private Boolean secrecy = false;

    @Schema(title = "项目相关配置")
    private ProjectProperties properties;

    @Builder.Default
    @Schema(title = "项目最大可授权人员范围")
    private List<SubjectScopeInfo> subjectScopes = Collections.emptyList();

    @Schema(title = "logo地址")
    private String logoAddress;

    @Builder.Default
    @Schema(title = "项目性质")
    private Integer authSecrecy = ProjectAuthSecrecyStatus.PUBLIC.getValue();

    @Schema(title = "运营产品ID")
    private Integer productId;

    @Schema(title = "运营产品名称")
    private String productName;
}

