package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.atom.AtomEnv;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Tag(name = "BUILD_MARKET_ATOM_ENV", description = "插件-构建市场环境变量")
@RestController
@RequestMapping("/build/market/atom/env")
public interface BuildMarketAtomEnvResource {

    @Operation(summary = "获取插件环境变量")
    @GetMapping("/{atomCode}")
    CommonResult<AtomEnv> getAtomEnv(
            @Parameter(description = "插件代码", required = true)
            @PathVariable("atomCode")
            String atomCode
    );
}