package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.enums.ReasonTypeEnum;
import cd.casic.pipeline.store.pojo.common.reason.Reason;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "USER_STORE_REASON", description = "USER-STORE-原因")
@RestController
@RequestMapping("/user/store/reason")
public interface UserReasonResource {

    @Operation(summary = "获取原因列表")
    @GetMapping("/types/{type}")
    CommonResult<List<Reason>> list(
        @Parameter(description = "类别", required = true)
        @PathVariable("type")
        ReasonTypeEnum type
    );
}