package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.log.scm.dal.pojo.enums.VisibilityLevelEnum;
import cd.casic.pipeline.store.pojo.atom.enums.AtomCategoryEnum;
import cd.casic.pipeline.store.pojo.atom.enums.AtomTypeEnum;
import cd.casic.pipeline.store.pojo.atom.enums.JobTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "流水线-原子信息请求报文体")
public class AtomUpdateRequest {
    @Schema(title = "原子名称", required = true)
    private String name;
    @Schema(title = "服务范围", required = true)
    private List<String> serviceScope;
    @Schema(title = "适用Job类型，AGENT： 编译环境，AGENT_LESS：无编译环境", required = true)
    private JobTypeEnum jobType;
    @Schema(title = "支持的操作系统", required = true)
    private List<String> os;
    @Schema(title = "所属分类ID", required = true)
    private String classifyId;
    @Schema(title = "原子说明文档链接", required = false)
    private String docsLink;
    @Schema(title = "原子类型，SELF_DEVELOPED：自研 THIRD_PARTY：第三方开发", required = true)
    private AtomTypeEnum atomType;
    @Schema(title = "原子简介", required = false)
    private String summary;
    @Schema(title = "原子描述", required = false)
    private String description;
    @Schema(title = "是否为默认原子（默认原子默认所有项目可见）true：默认原子 false：普通原子", required = true)
    private Boolean defaultFlag;
    @Schema(title = "原子所属范畴，TRIGGER：触发器类原子 TASK：任务类原子", required = true)
    private AtomCategoryEnum category;
    @Schema(title = "无构建环境原子是否可以在有构建环境运行标识， TRUE：可以 FALSE：不可以", required = false)
    private Boolean buildLessRunFlag;
    @Schema(title = "权重（数值越大代表权重越高）")
    private Integer weight;
    @Schema(title = "自定义扩展容器前端表单属性字段的Json串", required = false)
    private String props;
    @Schema(title = "预留字段（设置规则等信息的json串）", required = false)
    private String data;
    @Schema(title = "插件logo", required = false)
    private String logoUrl;
    @Schema(title = "icon图标base64字符串", required = false)
    private String iconData;
    @Schema(title = "是否推荐标识 true：推荐，false：不推荐", required = false)
    private Boolean recommendFlag;
    @Schema(title = "yaml可用标识 true：是，false：否")
    private Boolean yamlFlag;
    @Schema(title = "红线可用标识 true：是，false：否")
    private Boolean qualityFlag;
    @Schema(title = "是否认证标识 true：是，false：否")
    private Boolean certificationFlag;
    @Schema(title = "发布者", required = false)
    private String publisher;
    @Schema(title = "项目可视范围", required = false)
    private VisibilityLevelEnum visibilityLevel;
    @Schema(title = "插件代码库不开源原因", required = false)
    private String privateReason;
}