package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.Arrays;

@Data
@Schema(title = "获取并解析插件配置quality.json的返回数据")
public class GetAtomQualityConfigResult {
    @Schema(title = "状态码", required = true)
    private String errorCode;
    @Schema(title = "参数", required = true)
    private String[] errorParams;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        GetAtomQualityConfigResult that = (GetAtomQualityConfigResult) o;

        if (!errorCode.equals(that.errorCode)) return false;
        return Arrays.equals(errorParams, that.errorParams);
    }

    @Override
    public int hashCode() {
        int result = errorCode.hashCode();
        result = 31 * result + Arrays.hashCode(errorParams);
        return result;
    }
}