package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.enums.StoreSortTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "研发商店-查询组件条件")
public class QueryComponentsParam {
    @Schema(title = "组件类型", required = true)
    private String storeType;
    
    @Schema(title = "类型", required = false)
    private String type;
    
    @Schema(title = "store组件名称", required = false)
    private String name;
    
    @Schema(title = "是否处于流程中", required = false)
    private Boolean processFlag;
    
    @Schema(title = "分类", required = false)
    private String classifyCode;
    
    @Schema(title = "应用范畴，多个用逗号分隔", required = false)
    private String categoryCodes;
    
    @Schema(title = "功能标签，多个用逗号分隔", required = false)
    private String labelCodes;
    
    @Schema(title = "排序", required = false)
    private StoreSortTypeEnum sortType;
    
    @Schema(title = "页码", required = true)
    private Integer page = 1;
    
    @Schema(title = "每页数量", required = true)
    private Integer pageSize = 10;
}