package cd.casic.pipeline.store.pojo.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StoreTypeEnum {
    ATOM(0), // 插件
    TEMPLATE(1), // 模板
    IMAGE(2), // 镜像
    IDE_ATOM(3), // IDE插件
    SERVICE(4), // 微扩展
    DEVX(5); // 云开发

    private final int type;

    public static String getStoreType(int type) {
        switch (type) {
            case 1:
                return TEMPLATE.name();
            case 2:
                return IMAGE.name();
            case 3:
                return IDE_ATOM.name();
            case 4:
                return SERVICE.name();
            case 5:
                return DEVX.name();
            default:
                return ATOM.name();
        }
    }

    public static StoreTypeEnum getStoreTypeObj(int type) {
        return valueOf(getStoreType(type));
    }
}