package cd.casic.pipeline.store.pojo.template.enums;

import lombok.Getter;

@Getter
public enum TemplateStatusEnum {
    INIT(0), // 初始化
    AUDITING(1), // 审核中
    AUDIT_REJECT(2), // 审核驳回
    RELEASED(3), // 已发布
    GROUNDING_SUSPENSION(4), // 上架中止
    UNDERCARRIAGED(5); // 已下架

    private final int status;

    TemplateStatusEnum(int status) {
        this.status = status;
    }

    public static TemplateStatusEnum getTemplateStatus(String name) {
        for (TemplateStatusEnum enumObj : values()) {
            if (enumObj.name().equals(name)) {
                return enumObj;
            }
        }
        return null;
    }

    public static String getTemplateStatus(int status) {
        for (TemplateStatusEnum enumObj : values()) {
            if (enumObj.status == status) {
                return enumObj.name();
            }
        }
        return INIT.name();
    }
}